//	Electricmagnetic7segment pœeXg
//	wt]xH쎺	http://jsdiy.starfree.jp

/*
y|[gΉz	ATmega328P	x:݂Ȃ(PC6RESET) -:
bit		7	6	5	4	3	2	1	0
portB	-	-	<-	Shift Reg.		->		VtgWX^
portC	x	*	-	-	sw	btC	btB	btA		{^AXCb`
portD	-	-	-	-	-	-	-	-		

yATmega328Pz
|543210---54321|
|CCCCCCGRVBBBBB|
>              |
|CDDDDDVGBBDDDB|
|601234--675670|

yq[Yrbgz(ftavrw.exe -rf)	Hoאݒ Low:01100010(62), Hi:11-11001(D9)
Low: 01100010 (62)
     ||||++++-- CKSEL[3:0] VXeNbNI
     ||++-- SUT[1:0] N
     |+-- CKOUT (0:PB0ɃVXeNbNo)
     +-- CKDIV8 NbNl (1:1/1, 0:1/8)

High:11-11001 (D9)
     |||||||+-- BOOTRST f[^V[gQ
     |||||++-- BOOTSZ[1:0] f[^V[gQ
     ||||+-- EESAVE (EEPROM 1:, 0:ێ)
     |||+-- WDTON (1:WDTʏ퓮, 0:WDT펞ON)
     ||+-- SPIEN (1:ISP֎~, 0:ISP) Parallel̂
     |+-- DWEN (On-ChipfobO 1:, 0:L)
     +-- RSTDISBL (RESETs 1:L, 0:(PC6))

Ext: -----111 (FF)
          +++-- BODLEVEL[2:0] (111:, 110:1.8V, 101:2.7V, 100:4.3V)
*/
/*
yrhz
Atmel Studio 7 (Version: 7.0.1931 - )
ATmega328P  1MHzi8MHz/8j

yXVz
2021/09	v0.10
	Program Memory Usage 	:	3680 bytes   11.2 % Full
	Data Memory Usage 		:	40 bytes   2.0 % Full

2022/06	v0.90
	Program Memory Usage 	:	1458 bytes   17.8 % Full
	Data Memory Usage 		:	24 bytes   2.3 % Full
*/

/*
y|[gΉz	ATtiny2313	x:݂Ȃ(PA2RESET) -:
bit		7	6	5	4	3	2	1	0
portA	x	x	x	x	x	*	-	-		
portB	-	-	<-	Shift Reg.		->		VtgWX^
portD	x	-	sw	btC	btB	btA	-	-		{^AXCb`

yATtiny2313z
|-765432106|
|VBBBBBBBBD|
>          |
|ADDAADDDDG|
|201102345-|

yq[Yrbgz(ftavrw.exe -rf)	Hoאݒ Low: 01100100(64), High:11-11111(DF)
Low: 01100100 (64)
     ||||++++-- CKSEL[3:0] VXeNbNI
     ||++-- SUT[1:0] N
     |+-- CKOUT (0:PD2ɃVXeNbNo)
     +-- CKDIV8 NbNl (1:1/1, 0:1/8)

High:11-11111 (DF)
     |||||||+-- RSTDISBL (RESETs 1:L, 0:(PA2))
     ||||+++-- BODLEVEL[2:0] (111:Off, 110:1.8, 101:2.7, 100:4.3)
     |||+-- WDTON (WDT 0:펞ON, 1:ʏ)
     ||+-- SPIEN (1:ISP֎~, 0:ISP) Parallel̂
     |+-- EESAVE (EEPROM 1:, 0:ێ)
     +-- DWEN (On-ChipfobO 1:, 0:L)

Ext: -------1 (FF)
            +-- SPMEN (SPM 1:, 0:L)
*/
/*
yrhz
Atmel Studio 7 (Version: 7.0.1931 - )
ATtiny2313	1MHzi8MHz/8j

yXVz
2022/06	v0.90
	Program Memory Usage 	:	1448 bytes   70.7 % Full
	Data Memory Usage 		:	24 bytes   18.8 % Full

2022/07	v0.91	cuv\
	Program Memory Usage 	:	1540 bytes   75.2 % Full
	Data Memory Usage 		:	26 bytes   20.3 % Full
*/

#include <avr/io.h>
#include "application.h"
#include "wdtsleep.h"

int	main(void)
{
	WDT_SleepSec(1);
	
	//|[gݒ
	//Egps͕ɂAvAbvB
#if (0)	//ATmega328P
	//ȗ
#else	//ATtiny2313
	DDRA	&= ~((1 << PA0) | (1 << PA1));
	PORTA	|= (1 << PA0) | (1 << PA1);
	DDRB	&= ~((1 << PB6) | (1 << PB7));
	PORTB	|= (1 << PB6) | (1 << PB7);
	DDRD	&= ~((1 << PD0) | (1 << PD1) | (1 << PD6));
	PORTD	|= (1 << PD0) | (1 << PD1) | (1 << PD6);
#endif
	
	//d͍팸(1:Kp, 0:sKpj
#if (0)	//ATmega328P
	PRR		= (1 << PRTWI) | (1 << PRTIM2) | (1 << PRTIM0) | (1 << PRTIM1) | (1 << PRSPI) | (1 << PRUSART0) | (1 << PRADC);
#else	//ATtiny2313
	//Ȃ
#endif
	ACSR	= (1 << ACD);
	
	//Avs
	APP_Exec();
	
	return 0;
}
